Bug 475150 - kernel/audit.c control character detection is off-by-one
kernel/audit.c control character detection is off-by-one
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
low Severity medium
: rc
: ---
Assigned To: Alexander Viro
Red Hat Kernel QE team
Depends On:
  Show dependency treegraph
Reported: 2008-12-08 02:42 EST by Alexander Viro
Modified: 2009-09-02 04:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-09-02 04:54:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexander Viro 2008-12-08 02:42:55 EST
audit_string_contains_control() uses the wrong check when it decides whether the string needs escaping - 0x7f is a control char.

Fix from mainline is applicable to rhel5 tree.
Comment 1 RHEL Product and Program Management 2009-01-27 15:38:21 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 2 RHEL Product and Program Management 2009-02-16 10:45:25 EST
Updating PM score.
Comment 3 Don Zickus 2009-02-23 15:03:06 EST
in kernel-2.6.18-132.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 6 errata-xmlrpc 2009-09-02 04:54:13 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.